LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Modules | Enumerations
SecurityOperationStatus.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::xml
| XML related interfaces.
module | com::sun::star::xml::crypto
| XML encryption interfaces.

## Enumerations
enum | SecurityOperationStatus { UNKNOWN , OPERATION_SUCCEEDED , RUNTIMEERROR_FAILED , ENGINE_FAILED , MALLOC_FAILED , STRDUP_FAILED , CRYPTO_FAILED , XML_FAILED , XSLT_FAILED , IO_FAILED , DISABLED , NOT_IMPLEMENTED , INVALID_SIZE , INVALID_DATA , INVALID_RESULT , INVALID_TYPE , INVALID_OPERATION , INVALID_STATUS , INVALID_FORMAT , DATA_NOT_MATCH , INVALID_NODE , INVALID_NODE_CONTENT , INVALID_NODE_ATTRIBUTE , MISSING_NODE_ATTRIBUTE , NODE_ALREADY_PRESENT , UNEXPECTED_NODE , NODE_NOT_FOUND , INVALID_TRANSFORM , INVALID_TRANSFORM_KEY , INVALID_URI_TYPE , TRANSFORM_SAME_DOCUMENT_REQUIRED , TRANSFORM_DISABLED , INVALID_KEY_DATA , KEY_DATA_NOT_FOUND , KEY_DATA_ALREADY_EXIST , INVALID_KEY_DATA_SIZE , KEY_NOT_FOUND , KEYDATA_DISABLED , MAX_RETRIEVALS_LEVEL , MAX_RETRIEVAL_TYPE_MISMATCH , MAX_ENCKEY_LEVEL , CERT_VERIFY_FAILED , CERT_NOT_FOUND , CERT_REVOKED , CERT_ISSUER_FAILED , CERT_NOT_YET_VALID , CERT_HAS_EXPIRED , DSIG_NO_REFERENCES , DSIG_INVALID_REFERENCE , ASSERTION }
| Defines results for security operation. More...